MultipleFileResourcePathTest (Velocity 1.4 API)
Keywords: org.apache.velocity.test.MultipleFileResourcePathTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class MultipleFileResourcePathTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.MultipleFileResourcePathTest

All Implemented Interfaces:
  junit.framework.Test

public class MultipleFileResourcePathTest
extends BaseTestCase

Multiple paths in the file resource loader.

Version:
  $Id: MultipleFileResourcePathTest.java,v 1.8.8.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jason van Zyl

Field Summary
`private static java.lang.String` | `CMP_FILE_EXT` Comparison file extension.
`private static java.lang.String` | `COMPARE_DIR` Results relative to the build directory.
`private static java.lang.String` | `FILE_RESOURCE_LOADER_PATH1` Path for templates.
`private static java.lang.String` | `FILE_RESOURCE_LOADER_PATH2` Path for templates.
`private static java.lang.String` | `RESULT_FILE_EXT` Comparison file extension.
`private static java.lang.String` | `RESULTS_DIR` Results relative to the build directory.
`private static java.lang.String` | `TMPL_FILE_EXT` VTL file extension.

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`(package private)` | `MultipleFileResourcePathTest()` Default constructor.

Method Summary
`void` | `runTest()` Runs the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TMPL_FILE_EXT

    private static final java.lang.String TMPL_FILE_EXT

  VTL file extension.

  See Also:
    Constant Field Values

### CMP_FILE_EXT

    private static final java.lang.String CMP_FILE_EXT

  Comparison file extension.

  See Also:
    Constant Field Values

### RESULT_FILE_EXT

    private static final java.lang.String RESULT_FILE_EXT

  Comparison file extension.

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_PATH1

    private static final java.lang.String FILE_RESOURCE_LOADER_PATH1

  Path for templates. This property will override the value in the default velocity properties file.

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_PATH2

    private static final java.lang.String FILE_RESOURCE_LOADER_PATH2

  Path for templates. This property will override the value in the default velocity properties file.

  See Also:
    Constant Field Values

### RESULTS_DIR

    private static final java.lang.String RESULTS_DIR

  Results relative to the build directory.

  See Also:
    Constant Field Values

### COMPARE_DIR

    private static final java.lang.String COMPARE_DIR

  Results relative to the build directory.

  See Also:
    Constant Field Values

Constructor Detail

### MultipleFileResourcePathTest

    MultipleFileResourcePathTest()

  Default constructor.

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.